# This file created by conda-build 3.23.3
# meta.yaml template originally from:
# /work/aggregate/prometheus_client-feedstock/recipe, last modified Mon Mar 20 17:41:30 2023
# ------------------------------------------------

package:
  name: prometheus_client
  version: 0.14.1
source:
  sha256: db2b212c690fb1dbd0da807753af9247da28610c1d93fa12fa0b43bd30d22964
  url: https://github.com/prometheus/client_python/archive/v0.14.1.tar.gz
build:
  number: '0'
  script: /work/ci_py311_2/prometheus_client_1679340520168/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold/bin/python
    -m pip install . -vv
  string: py311h06a4308_0
requirements:
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 5.1 1_gnu
    - bzip2 1.0.8 h7b6447c_0
    - ca-certificates 2023.01.10 h06a4308_0
    - certifi 2022.12.7 py311h06a4308_0
    - ld_impl_linux-64 2.38 h1181459_1
    - libffi 3.4.2 h6a678d5_6
    - libgcc-ng 11.2.0 h1234567_1
    - libgomp 11.2.0 h1234567_1
    - libstdcxx-ng 11.2.0 h1234567_1
    - libuuid 1.41.5 h5eee18b_0
    - ncurses 6.4 h6a678d5_0
    - openssl 1.1.1t h7f8727e_0
    - pip 23.0.1 py311h06a4308_0
    - python 3.11.0 h7a1cb2a_3
    - readline 8.2 h5eee18b_0
    - setuptools 65.6.3 py311h06a4308_0
    - sqlite 3.41.1 h5eee18b_0
    - tk 8.6.12 h1ccaba5_0
    - tzdata 2022g h04d1e81_0
    - wheel 0.37.1 pyhd3eb1b0_0
    - xz 5.2.10 h5eee18b_1
    - zlib 1.2.13 h5eee18b_0
  run:
    - python >=3.11,<3.12.0a0
test:
  commands:
    - pip check
  imports:
    - prometheus_client
    - prometheus_client.bridge
    - prometheus_client.openmetrics
    - prometheus_client.twisted
  requires:
    - pip
    - python >=3.11,<3.12.0a0
    - twisted
about:
  dev_url: https://github.com/prometheus/client_python
  doc_url: https://github.com/prometheus/client_python#readme
  home: https://github.com/prometheus/client_python
  license: Apache-2.0
  license_family: Apache
  license_file: LICENSE
  summary: Python client for the Prometheus monitoring system
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - jessicaaustin
    - kwilcox
    - ocefpaf
